ProMods 2.45 has been released. It runs on game version 1.36 and requires ALL map DLCs. It is not compatible with open beta 1.37.

Please note that due to the COVID-19 pandemic, we are sadly unable to expand our server capacity as per usual and the free download servers are likely to be overwhelmed upon release. Please be kind and patient or use the paid service for a better experience.

Nekontaktibilní

Czech/Slovak
Post Reply
TheKingam
Posts: 1
Joined: 26 Oct 2019 10:16

22 Nov 2019 11:11

Zdravím,

mám nejnovější verzi hry ETS2 snažím se tam dát ProMods v 2.42 a píše mi to že to nekontaktibilní co mám udělat aby mi to všechno fungovalo správně?

Děkuji
Kingam

User avatar
Qixiwi
Posts: 147
Joined: 02 Jun 2017 16:39
Donation rank:
Location: Somewhere in Czechia

22 Nov 2019 13:45

A nejnovější verzí myslíš 1.35 nebo beta 1.36?
I like trucking, I like Europe, so that's why I love ProMods!

User avatar
kamikazee54
Posts: 269
Joined: 21 Oct 2013 14:11

22 Nov 2019 20:49

a máš aj všetky potrebné DLC?



Post Reply
  • Information
  • Who is online

    Users browsing this forum: werfen and 1 guest